Error
A valid request URL is required to generate request examples{
"taskState": "NOT_STARTED",
"subtaskCount": {
"total": 123,
"completed": 123,
"running": 123,
"waiting": 123,
"error": 123,
"unknown": 123,
"dropped": 123,
"timedOut": 123,
"aborted": 123
},
"startTime": "<string>",
"executionStartTime": "<string>",
"finishTime": "<string>",
"triggeredBy": "<string>",
"subtaskInfos": [
{
"taskId": "<string>",
"state": "INIT",
"startTime": "<string>",
"finishTime": "<string>",
"participant": "<string>",
"info": "<string>",
"triggeredBy": "<string>",
"taskConfig": {
"taskType": "<string>",
"taskId": "<string>",
"configs": {},
"tableName": "<string>"
}
}
]
}Task
Fetch information for the given task name
GET
/
tasks
/
task
/
{taskName}
/
debug
Error
A valid request URL is required to generate request examples{
"taskState": "NOT_STARTED",
"subtaskCount": {
"total": 123,
"completed": 123,
"running": 123,
"waiting": 123,
"error": 123,
"unknown": 123,
"dropped": 123,
"timedOut": 123,
"aborted": 123
},
"startTime": "<string>",
"executionStartTime": "<string>",
"finishTime": "<string>",
"triggeredBy": "<string>",
"subtaskInfos": [
{
"taskId": "<string>",
"state": "INIT",
"startTime": "<string>",
"finishTime": "<string>",
"participant": "<string>",
"info": "<string>",
"triggeredBy": "<string>",
"taskConfig": {
"taskType": "<string>",
"taskId": "<string>",
"configs": {},
"tableName": "<string>"
}
}
]
}Authorizations
oauthdatabase
The format of the key is "Basic <token>" or "Bearer <token>"
Path Parameters
Task name
Query Parameters
verbosity (Prints information for the given task name.By default, only prints subtask details for running and error tasks. Value of > 0 prints subtask details for all tasks)
Response
200 - application/json
successful operation
Available options:
NOT_STARTED, IN_PROGRESS, STOPPED, STOPPING, FAILED, COMPLETED, ABORTED, TIMED_OUT, TIMING_OUT, FAILING Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?

